# create-bookpub-project - a [BookPub](https://www.npmjs.com/package/bookpub) installer and book project generator

## Installing BookPub

This is the official installer and book project generator for the [BookPub NPM package](https://www.npmjs.com/package/bookpub).

[**BookPub**](https://github.com/worlduniting/bookpub) is a book publishing (CLI) framework built by [World Uniting Press](https://worlduniting.org/press/) for managing a HTML/CSS/Javascript manuscript-to-market toolchain.

## Console Help Output

```bash

>> npx create-bookpub-project help

Usage: create-bookpub-project [options] [command] [projectName]

Create a new BookPub book project

Arguments:
  projectName    Name of the new project

Options:
  -V, --version  output the version number
  -h, --help     display help for command

Commands:
  help|h         Display help information
  version|v      Display the current version of the package
```

## Example Console Output - for default my-book project

This is an example of the console output when running `npx create-bookpub-project` when neither this package nor bookpub is currently installed on the system.

```bash
>> npx create-bookpub-project

Checking if 'bookpub' is installed globally...

'bookpub' is not installed globally. Installing it now...

added 540 packages, and audited 803 packages in 15s

162 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities

? What is your project name? my-book
? What is your book's title? My Book Title
? What is the subtitle? This is The Subtitle
? What is the author's name? Rev Dave Thompson
? What's the book about? This is an example book generated by BookPub to demonstrate how to use HTML/CSS/Javascript to create a print-ready book, including other ropular book formats.
? Do you have a git repository? (e.g. https://github.com/username/my-book
? Do you have a book template git URL? (Leave empty if not)
? What is the airspeed velocity of an unladen swallow? I don't know that.

Creating your new project directory at my-book/

Updating package.json with your settings.

Installing book template: example-book

Updating book.config.yml with your settings.

Initializing git.
Initialized empty Git repository in /my-book/.git/
Git initialization completed successfully.

Initializing dependencies:
- chalk
- bookpub


added 540 packages, and audited 803 packages in 3m

162 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities
npm install completed successfully.
```